public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-boot/silo/
Date: Wed,  3 Jun 2020 02:05:55 +0000 (UTC)	[thread overview]
Message-ID: <1591149946.ffdc2a3d24da099fce0afb76f9f6d2c8d2a5a254.mattst88@gentoo> (raw)

commit:     ffdc2a3d24da099fce0afb76f9f6d2c8d2a5a254
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  3 02:03:41 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Jun  3 02:05:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffdc2a3d

sys-boot/silo: Version bump to 1.4.14_p20200602

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-boot/silo/Manifest                     |  1 +
 sys-boot/silo/metadata.xml                 |  3 ++
 sys-boot/silo/silo-1.4.14_p20200602.ebuild | 65 ++++++++++++++++++++++++++++++
 3 files changed, 69 insertions(+)

diff --git a/sys-boot/silo/Manifest b/sys-boot/silo/Manifest
index e0c4be194e0..70de039c957 100644
--- a/sys-boot/silo/Manifest
+++ b/sys-boot/silo/Manifest
@@ -1,3 +1,4 @@
 DIST silo-1.4.14_p20170829.tar.gz 183612 BLAKE2B 88fb4b0ce4e9b8fa9518bcb6226f4fe9ec7011bf3f73d9f0f1562ff837217ca8d54ee783eed0b50096b009fc56527be8e4211623f5b0e4ef5372c38c0fe304f1 SHA512 bda31084ba2ee5b01d331fd390cbccf039dc812debe25f3af97dd5d2855668cbe7e160dee4ca45c16af1fa4aa86224daf3b474fd49b22a8b7f453584a12f3c2b
+DIST silo-1.4.14_p20200602.tar.gz 183668 BLAKE2B e229cdb9fbc5f0111aa49919f4b3b91c0770492fa06f91bda15c65af160b728b9409365c3ff0a93091b1e3011c60d0b0bec1101ffabaddbaef7e1083158830b1 SHA512 7a70fe25c1bb3ce655e4fbb85b00fe0d29fe0a6f98b80c1b8267b72bc9324ac0749cd050921163cc286e094f7d9bc81315d63ff02d2442b5c30ce350a537fcc1
 DIST silo_1.4.14+git20120819-1.diff.gz 10711 BLAKE2B c44a0204e3aece4eec8355f88b3a195c1ba7019c0aa648cc4e28ff6cb85fc6d96634bd282e5aaea9123dbc5835820acf2fc15054c91842d6b1040fc13cb0033b SHA512 60719b672a0f1dd2a005e763efd232bbf7aeb00198e0b46827208b78f1b32acc3a730d43944382dec4b95fddfbb373b1eb69dc911ad28ec9d1d1e6c45d84db20
 DIST silo_1.4.14+git20120819.orig.tar.gz 755510 BLAKE2B f1185086671c12c901704c2aa1f582a4e983d2d4a2d5ec18194aebcd43a7bdf9e7ad329efebaf4911d40f8a417ff8c8566b61be4eac5fea13235ac44d0edf852 SHA512 2d1dd8f805fb0a272877b5e8e19e5a645aa9fe02cf2b5ef43b5d2894c0c6a5a82483a0e41556af50f01dc795dc5e43350ae92139485c19d64cda75c2aca01a38

diff --git a/sys-boot/silo/metadata.xml b/sys-boot/silo/metadata.xml
index fd1c35f8fbe..a2966fc65e1 100644
--- a/sys-boot/silo/metadata.xml
+++ b/sys-boot/silo/metadata.xml
@@ -8,4 +8,7 @@
 <longdescription>
 SILO is the SPARC/UltraSPARC Improved Loader, a boot loader for sparc similar to LILO.
 </longdescription>
+<use>
+	<flag name="tilo-only">Install only the tilo netboot tool</flag>
+</use>
 </pkgmetadata>

diff --git a/sys-boot/silo/silo-1.4.14_p20200602.ebuild b/sys-boot/silo/silo-1.4.14_p20200602.ebuild
new file mode 100644
index 00000000000..deeed7b293d
--- /dev/null
+++ b/sys-boot/silo/silo-1.4.14_p20200602.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mount-boot flag-o-matic toolchain-funcs vcs-snapshot
+
+MY_SNAPSHOT="${PN}-9277bfd433e398d0a6eabec79edead52d4cb8125"
+
+DESCRIPTION="SPARC/UltraSPARC Improved Loader, a boot loader for sparc"
+SRC_URI="https://git.kernel.org/pub/scm/linux/kernel/git/davem/silo.git/snapshot/${MY_SNAPSHOT}.tar.gz -> ${P}.tar.gz"
+HOMEPAGE="https://git.kernel.org/?p=linux/kernel/git/davem/silo.git;a=summary"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="-* ~sparc"
+IUSE="tilo-only"
+
+DEPEND="sys-fs/e2fsprogs
+	sys-apps/sparc-utils"
+RDEPEND=""
+
+src_prepare() {
+	default
+
+	# Set the correct version
+	sed -i -e "s/1.4.14/1.4.14_git20200602/g" Rules.make || die
+
+	# Fix build failure
+	sed -i -e "s/-fno-strict-aliasing/-fno-strict-aliasing -mcpu=v9/g" Rules.make || die
+
+	# Don't strip ieee32.b during compile
+	sed -i -e '/^	$(STRIP) ieee32.b/d' first/Makefile || die
+}
+
+src_compile() {
+	filter-flags "-fstack-protector"
+
+	CC="$(tc-getCC)" \
+	STRIP="$(tc-getSTRIP)" \
+	NM="$(tc-getNM)" \
+	LD="$(tc-getLD)" \
+		emake $(usex tilo-only '-C tilo' '')
+}
+
+src_install() {
+	default
+
+	dodoc first-isofs/README.SILO_ISOFS docs/README*
+
+	# Fix maketilo manpage
+	rm "${D}"/usr/share/man/man1/maketilo.1
+	dosym tilo.1 /usr/share/man/man1/maketilo.1
+}
+
+pkg_postinst() {
+	use tilo-only && return
+
+	mount-boot_pkg_postinst
+	ewarn "NOTE: If this is an upgrade to an existing SILO install,"
+	ewarn "      you will need to re-run silo as the /boot/second.b"
+	ewarn "      file has changed, else the system will fail to load"
+	ewarn "      SILO at the next boot."
+	ewarn
+}


             reply	other threads:[~2020-06-03  2:06 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-03  2:05 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-27 10:52 [gentoo-commits] repo/gentoo:master commit in: sys-boot/silo/ Sergei Trofimovich
2020-12-26  9:13 Sergei Trofimovich
2020-12-25 22:32 Sergei Trofimovich
2020-12-25 22:21 Sergei Trofimovich
2020-12-18  9:53 Sergei Trofimovich
2020-06-03  2:05 Matt Turner
2019-06-28 18:38 Ben Kohler
2018-05-07 16:14 Sergei Trofimovich
2018-04-04 22:26 Sergei Trofimovich
2018-04-04 22:26 Sergei Trofimovich
2018-02-13 19:59 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591149946.ffdc2a3d24da099fce0afb76f9f6d2c8d2a5a254.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox